Bug 188653 - [GStreamer] Warn early about incomplete MSE track switching support
Summary: [GStreamer] Warn early about incomplete MSE track switching support
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Philippe Normand
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-08-16 08:16 PDT by Philippe Normand
Modified: 2018-08-21 06:23 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.98 KB, patch)
2018-08-16 08:20 PDT, Philippe Normand
calvaris: review+
calvaris: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.88 MB, application/zip)
2018-08-17 12:57 PDT, EWS Watchlist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2018-08-16 08:16:24 PDT
There's currently some useless processing done, and GObject runtime warnings raised needlessly.
Comment 1 Philippe Normand 2018-08-16 08:20:13 PDT
Created attachment 347264 [details]
Patch
Comment 2 Xabier Rodríguez Calvar 2018-08-17 01:24:16 PDT
Comment on attachment 347264 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=347264&action=review

Let's also wait for Enrique or Alicia to comment on this before landing.

> Source/WebCore/platform/graphics/gstreamer/MediaPlayerPrivateGStreamer.cpp:723
> +    // FIXME: Remove isMediaSource() test below when fixing https://bugs.webkit.org/show_bug.cgi?id=182531

Nit: . at the end.
Comment 3 EWS Watchlist 2018-08-17 12:56:49 PDT
Comment on attachment 347264 [details]
Patch

Attachment 347264 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8893622

New failing tests:
http/tests/security/canvas-remote-read-remote-video-blocked-no-crossorigin.html
http/tests/security/video-poster-cross-origin-crash2.html
Comment 4 EWS Watchlist 2018-08-17 12:57:01 PDT
Created attachment 347383 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 5 Alicia Boya García 2018-08-21 04:17:51 PDT
This is not something I've tested, but if you have tested that both MP4 and WebM keep working it should be fine.

In particular I'm worried of enableTrack() being called in cases without track switching, please confirm that's not the case.
Comment 6 Philippe Normand 2018-08-21 04:31:04 PDT
(In reply to Alicia Boya García from comment #5)
> This is not something I've tested, but if you have tested that both MP4 and
> WebM keep working it should be fine.
> 
> In particular I'm worried of enableTrack() being called in cases without
> track switching, please confirm that's not the case.

This method in the end sets properties on either the pipeline or the source element and even before this patch, nothing was set, only warnings are emitted.
Comment 7 Philippe Normand 2018-08-21 06:21:02 PDT
Committed r235112: <https://trac.webkit.org/changeset/235112>
Comment 8 Radar WebKit Bug Importer 2018-08-21 06:23:04 PDT
<rdar://problem/43558704>